Page MenuHomeFreeBSD

`make buildworld' should display the build time in seconds
ClosedPublic

Authored by wosch on Jan 14 2018, 8:09 PM.

Details

Summary

As described in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224433

the top level `make buildworld' target should display the build time in seconds

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

wosch created this revision.Jan 14 2018, 8:09 PM
imp added a comment.EditedJan 17 2018, 2:25 PM

This looks good in principle, modulo some nits. I'd let Bryan have the final say, but commit it if he says nothing.

Makefile.inc1
968 ↗(On Diff #37946)

A fixed name is bad. It's also bad that it's in the makeworld tree. Consider something in /tmp/

973 ↗(On Diff #37946)

You never remove this file. You should.

981 ↗(On Diff #37946)

I'd use "built" rather than "build" because it describes something that went on in the past (even though it just finished).

You can also just record the time the build starts with something like this:

.if !defined(_BUILDWORLD_START)
_BUILDWORLD_START!= date +%s
.export _BUILDWORLD_START
.endif

Then compare its value in buildworld_epilogue, no tmpfile needed.

wosch updated this revision to Diff 54934.Mar 11 2019, 4:19 PM

The updated patch works without a temp file.

cem accepted this revision.Mar 11 2019, 5:54 PM
This revision is now accepted and ready to land.Mar 11 2019, 5:54 PM
This revision was automatically updated to reflect the committed changes.